# AR_Sandbox

Simple python wrapper for ar_sandbox_lib


## How to use

```python
from ar_sandbox.sandbox import Sandbox

def my_function(depth_matrix, frame):
    # Do something with the depth
    # This function should return a 3 channels RGB matrix
    # of the same shape as frame.
    return result

box = Sandbox(refresh=250)
box.init("config.yaml")
box.func = my_function
box.start()
```

See the documentation for more information.

To make the documentation :

```bash
python3 -m pip install sphinx sphinx_rtd_theme
cd ./docs
make html
```


# Running the demo app on the sandbox computer

To correctly import the wrapper on the demo machine, please follow theses steps :

On the desktop, open the "PythonSandbox" directory. There, you should find the following files :
- `env.sh`
- `.venv/bin/activate`

You must source theses two files within your terminal, then you may run any application which uses the wrapper.

For example, to run the demo app (a simple level display), run the following 
```bash
python test.py
```